Meta/update-from-lore: support initial import as well
Junio C Hamano committed
Jul 24, 2026 at 13:22 UTC
dea7ccfea105b7a3c051b758c08aeacda6839de2
1 file changed
+14
update-from-lore.sh
+14
index ad3fcef40e..d4bddcf7e6 100755
--- a/update-from-lore.sh
+++ b/update-from-lore.sh
@@ -1,5 +1,18 @@
#!/bin/sh
+afresh () {
+ if git symbolic-ref -q HEAD
+ then
+ echo >&2 "HEAD not detached"
+ exit 1
+ fi
+ b4 am -o- -t "$1" |
+ tee ./+b4am.mbx |
+ git am -s3 && rm -f ./+b4am.mbx
+
+ exit $?
+}
+
force=
while case "$#" in 0) break;; esac
do
@@ -17,6 +30,7 @@ done
case "$#" in
0) : happy ;;
+1) afresh "$1" ;;
*) echo >&2 "$0: extra arguments" ;;
esac